Create expected payment

Create an expected payment, that can be used for reconciliation purposes.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
enum
required
Defaults to credit

The direction of the expected payment. Direction is credit when one expects to receive money and debit when one expects to send money.

Allowed:
integer
required
≥ 0

The lowest amount to be expected for the payment, in the specified currency's smallest unit. For euro payments, the smallest unit is cents. €20 is represented as 2000.

integer
required
≥ 0

The highest amount to be expected for the payment, in the specified currency's smallest unit. For euro payments, the smallest unit is cents. €20 is represented as 2000.

string
required

The ISO 4217 currency code of the expected payment.

date
required

The earliest date the payment is expected.

date
required

The latest date the payment is expected.

uuid
deprecated

The ID of the counterparty_account. It must be left empty if counterparty_account parameter is filled.

uuid

The ID of the external_account. It must be left empty if external_account parameter is filled.

counterparty_account
object
deprecated

The account of the counterparty, which is either the debtor or the creditor depending on the payment's direction. It must be left empty if counterparty_account_id parameter is filled.

external_account
object

The external account, which is either the debtor or the creditor depending on the payment's direction. It must be left empty if external_account_id parameter is filled.

uuid
deprecated

The ID of the virtual_account. It must be left empty if virtual_account parameter is filled.

uuid

The ID of the internal virtual account that the payment is expected to credit or debit. It must be left empty if internal_account parameter is filled.

virtual_account
object
deprecated

The virtual account that the payment is expected to credit or debit. It must be left empty if virtual_account_id parameter is filled.

internal_account
object

The internal account of type virtual that the payment is expected to credit or debit. It must be left empty if internal_account_id parameter is filled.

uuid
required

The ID of the connected account.

metadata
object

Additional client data in JSON format. See Metadata.

custom_fields
object

Custom fields in JSON key:value format. See Custom fields.

descriptions
array of strings

Descriptions of the expected payment

descriptions
Headers
string

An idempotency key is a unique value generated by the client which the server uses to recognize subsequent retries of the same request.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json